Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class CachedListInterceptor

    java.lang.Object
      org.jboss.cache.aop.CachedListInterceptor

All Implemented Interfaces:
  CachedCollectionInterceptor, Collection, org.jboss.aop.advice.Interceptor, List

public class CachedListInterceptor
extends Object
implements List, CachedCollectionInterceptor

List interceptor to perform list cache storage and retrieval

Author:
  Harald Gliebe, Ben Wang

Nested Class Summary
`protected class` | `CachedListInterceptor.MyListIterator`

Field Summary
`protected TreeCacheAop` | `cache`
`protected Fqn` | `fqn`
`protected static org.jboss.logging.Logger` | `log`
`protected static Map` | `managedMethods`
`protected Map` | `methodMap`

Constructor Summary
`CachedListInterceptor(TreeCacheAop cache, Fqn fqn, Class clazz)`

Method Summary
`void` | `add(int index, Object element)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`boolean` | `equals(Object object)`
`Object` | `get(int index)`
`String` | `getName()`
`protected Node` | `getNode()`
`int` | `hashCode()`
`int` | `indexOf(Object o)`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`Object` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`Object` | `set(int index, Object element)`
`int` | `size()`
`List` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

### managedMethods

    protected static final Map managedMethods

### cache

    protected TreeCacheAop cache

### fqn

    protected Fqn fqn

### methodMap

    protected Map methodMap

Constructor Detail

### CachedListInterceptor

    public CachedListInterceptor(TreeCacheAop cache,
                                 Fqn fqn,
                                 Class clazz)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### getNode

    protected Node getNode()

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`

### size

    public int size()

  Specified by:
    `size` in interface `List`

### clear

    public void clear()

  Specified by:
    `clear` in interface `List`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `List`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `List`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `List`

### add

    public void add(int index,
                    Object element)

  Specified by:
    `add` in interface `List`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `List`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `List`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `List`

### addAll

    public boolean addAll(int index,
                          Collection c)

  Specified by:
    `addAll` in interface `List`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `List`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `List`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `List`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `List`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `List`

### toString

    public String toString()

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `List`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `List`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.